
c     -*-fortran-*-
c==>fmain.f
      program projgrad

c     A simple projected gradient algorithm written to demonstrate
c     the GAMS Callable Program Library (CPLIB)

c     this file is the main program of the solver.  It is called
c     from the command line or batch file, and just passes control
c     to cpmain.  Since we do fortran I/O, the initial call
c     to the solver system must be to a fortran program.

      call cpmain
      end
